Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20111014-M3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.event
Class MethodExpressionPanelToggleListener

    java.lang.Object
      org.richfaces.event.MethodExpressionEventListener
          org.richfaces.event.MethodExpressionPanelToggleListener

All Implemented Interfaces:
  EventListener, javax.faces.component.StateHolder, javax.faces.event.FacesListener, org.richfaces.event.PanelToggleListener

    public class MethodExpressionPanelToggleListener

extends MethodExpressionEventListener
implements org.richfaces.event.PanelToggleListener

MethodExpressionPanelToggleListener is a `PanelToggleListener` that wraps a `MethodExpression`. When it receives a `PanelToggleEvent`, it executes a method on an object identified by the `MethodExpression`.

Version:
  1.0
Author:
  akolonitsky

Constructor Summary
`MethodExpressionPanelToggleListener()`
`MethodExpressionPanelToggleListener(javax.el.MethodExpression methodExprOneArg)`
`MethodExpressionPanelToggleListener(javax.el.MethodExpression methodExprOneArg, javax.el.MethodExpression methodExprZeroArg)`

Method Summary
`void` | `processPanelToggle(org.richfaces.event.PanelToggleEvent panelToggleEvent)`

Methods inherited from class org.richfaces.event.MethodExpressionEventListener
`isTransient, processEvent, restoreState, saveState, setTransient`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MethodExpressionPanelToggleListener

    public MethodExpressionPanelToggleListener()

### MethodExpressionPanelToggleListener

    public MethodExpressionPanelToggleListener(javax.el.MethodExpression methodExprOneArg)

### MethodExpressionPanelToggleListener

    public MethodExpressionPanelToggleListener(javax.el.MethodExpression methodExprOneArg,
                                               javax.el.MethodExpression methodExprZeroArg)

Method Detail

### processPanelToggle

    public void processPanelToggle(org.richfaces.event.PanelToggleEvent panelToggleEvent)
                            throws javax.faces.event.AbortProcessingException

  Specified by:
    `processPanelToggle` in interface `org.richfaces.event.PanelToggleListener`
  Throws:
    `javax.faces.event.AbortProcessingException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20111014-M3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.